Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#72216 - [wire-desktop] Depends on end-of-life Electron 11

Attached to Project: Community Packages
Opened by Demi Marie Obenour (Demi) - Thursday, 23 September 2021, 00:31 GMT
Last edited by Bruno Pagani (ArchangeGabriel) - Thursday, 04 August 2022, 10:45 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Maxim Baz (maximbaz)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
wire-desktop 3.26.2941-1 depends on an end-of-life Electron
that is no longer supported upstream, and hence will accumulate
unpatched vulnerabilities.

Additional info:
element-desktop does not have this problem.

Steps to reproduce:
Check the dependency list for wire-desktop.

This task depends upon

Closed by  Bruno Pagani (ArchangeGabriel)
Thursday, 04 August 2022, 10:45 GMT
Reason for closing:  Upstream
Additional comments about closing:  Upstream moved to a newer electron since.
Comment by Antonio Rojas (arojas) - Thursday, 23 September 2021, 06:12 GMT
So what are you requesting? Have you tested if this works with newer versions of electron?
Comment by Maxim Baz (maximbaz) - Saturday, 25 September 2021, 19:31 GMT
Hello, there is nothing we can do as Wire is tied to a specific Electron version, as specified in their release changelog; using a wrong one might cause history loss and all sorts of weird problems. Wire devs are aware of the old Electron version and promised me to upgrade, as soon as priorities permit. You can follow for example this PR if you want to see when the upgrade will happen: https://github.com/wireapp/wire-desktop/pull/4882

Loading...